abi-compliance-checker

Install command:
brew install abi-compliance-checker

Tool for checking backward API/ABI compatibility of a C/C++ library

https://lvc.github.io/abi-compliance-checker/

License: LGPL-2.1-or-later

Formula JSON API: /api/formula/abi-compliance-checker.json

Bottle JSON API: /api/bottle/abi-compliance-checker.json

Formula code: abi-compliance-checker.rb on GitHub

Bottle (binary package) installation support provided.

Current versions:

stable 2.3
head ⚡️ HEAD

Depends on:

gcc 11.3.0 GNU compiler collection

Requires: x86_64 architecture

Analytics (macOS):

Installs (30 days)
abi-compliance-checker 6
Installs on Request (30 days)
abi-compliance-checker 6
Build Errors (30 days)
abi-compliance-checker 0
Installs (90 days)
abi-compliance-checker 24
Installs on Request (90 days)
abi-compliance-checker 24
Installs (365 days)
abi-compliance-checker 71
Installs on Request (365 days)
abi-compliance-checker 71

Analytics (Linux):

Installs (30 days)
abi-compliance-checker 0
Installs on Request (30 days)
abi-compliance-checker 0
Build Errors (30 days)
abi-compliance-checker 0
Installs (90 days)
abi-compliance-checker 0
Installs on Request (90 days)
abi-compliance-checker 0
Installs (365 days)
abi-compliance-checker 2
Installs on Request (365 days)
abi-compliance-checker 1
Fork me on GitHub